Bug 491550 - Review Request: libass - Portable library for SSA/ASS subtitles rendering
Review Request: libass - Portable library for SSA/ASS subtitles rendering
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 18:31 EDT by Martin Sourada
Modified: 2011-11-11 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.9.6-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-28 16:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2009-03-22 18:31:30 EDT
Spec URL: http://mso.fedorapeople.org/packages/SPECS/libass.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/libass-0.9.6-1.fc10.src.rpm
Description: Libass is a portable library for SSA/ASS subtitles rendering.
Comment 1 Dominik 'Rathann' Mierzejewski 2009-03-22 19:17:32 EDT
Taking review.

Quick comment: you don't need BR: glibc-devel. gcc requires it.
Comment 2 Dominik 'Rathann' Mierzejewski 2009-03-22 20:06:55 EDT
Full review:

rpmlint clean:
$ rpmlint /var/lib/mock//fedora-rawhide-x86_64/result
libass-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

source matches upstream:
$ md5sum libass-0.9.6.tar.bz2 libass-0.9.6.tar.bz2.orig 
58d9fa08eedc27edae05b53288025370  libass-0.9.6.tar.bz2
58d9fa08eedc27edae05b53288025370  libass-0.9.6.tar.bz2.orig

Builds fine in mock(devel/x86_64).

Just one small issue:
Redundant BuildRequires:
glibc-devel (required by gcc, which is in exceptions)
freetype-devel (required by fontconfig-devel)

Other than that it's fine.

This package is APPROVED.
(But please fix the redundant BRs upon import.)

I also encourage you to work with avidemux maintainer (in RPM Fusion) to unbundle its internal copy of libass.
Comment 3 Martin Sourada 2009-03-23 03:40:44 EDT
(In reply to comment #2)
> Full review:
> 
Thanks for the review.
> Just one small issue:
> Redundant BuildRequires:
> glibc-devel (required by gcc, which is in exceptions)
> freetype-devel (required by fontconfig-devel)
>
These two slipped my mind. Thanks for pointing it out.
 
> I also encourage you to work with avidemux maintainer (in RPM Fusion) to
> unbundle its internal copy of libass.  
Will do. IIRC mplayer also carries its iternal copy of libass.
Comment 4 Martin Sourada 2009-03-23 03:43:24 EDT
New Package CVS Request
=======================
Package Name: libass
Short Description: Portable library for SSA/ASS subtitles rendering
Owners: mso
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-03-24 13:30:00 EDT
cvs done.
Comment 6 Fedora Update System 2009-03-28 16:33:41 EDT
libass-0.9.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libass-0.9.6-2.fc10
Comment 7 Fedora Update System 2009-03-28 16:35:20 EDT
libass-0.9.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libass-0.9.6-2.fc9
Comment 8 Fedora Update System 2009-04-14 11:52:23 EDT
libass-0.9.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-14 11:55:45 EDT
libass-0.9.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Martin Sourada 2011-11-11 17:48:16 EST
Package Change Request
======================
Package Name: libass
New Branches: el5 el6
Owners: mso
InitialCC:
Comment 11 Gwyn Ciesla 2011-11-11 20:19:34 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.